Package com.dropbox.core.v2.paper
Class DocsUsersAddBuilder
java.lang.Object
com.dropbox.core.v2.paper.DocsUsersAddBuilder
The request builder returned by
DbxUserPaperRequests.docsUsersAddBuilder(java.lang.String, java.util.List<com.dropbox.core.v2.paper.AddMember>).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withCustomMessage(String customMessage) Set value for optional field.Set value for optional field.
-
Method Details
-
withCustomMessage
Set value for optional field.- Parameters:
customMessage- A personal message that will be emailed to each successfully added member.- Returns:
- this builder
-
withQuiet
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
quiet- Clients should set this to true if no email message shall be sent to added users. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
start
Issues the request.- Throws:
DocLookupErrorExceptionDbxException
-